<?php 


	$billNo=$_POST["billNo"];
	$amount=$_POST["amount"];
	$succ=$_POST["succ"];
	$mac=$_POST["mac"];


    $md5string=md5("billNo=".$billNo."&amount=".$amount."&succ=".$succ."&pwd=".$mypcenter_ikey);
	

	if ($md5string==$mac) {
			
		if($succ=="Y") {	

				$PageMain=Insert_Back_value($billNo,$amount);

		}else{

				$PageMain=err("支付失败!","member.php","");

		}

	}else{
		
				$PageMain=err("签名认证错误!","member.php","");


	}

?>
